Name: mastergear-16bit
Summary: The Sega MasterSystem (Mark 3) and GameGear emulator with 16-bit colour support
Version: 1.0
Release: 1
Copyright: Unknown
Group: Games
Source0: http://www.komkon.org/fms/MG/MG.tar.Z
Source1: http://www.nhn.ou.edu/~spielman/emulation/patch1.diff
Patch0: mastergear-16or24-patch.patch
Patch1: mastergear-16bit-1.0-makefile.patch
URL: http://www.komkon.org/fms/MG/
Packager: Anthony Y.P. Wong <ypwong@poboxes.com>
Buildroot: /tmp/mastergear-16bit-root

%description 
MasterGear is a portable emulator of two SEGA game consoles: the old
MasterSystem (known as Mark3 in Japan) and the portable GameGear which
is basically an improved MasterSystem in a smaller package.

While the original version supports only 8-bit of colour, this version 
has 16-bit colour support.

%prep
%setup -n SMS
%patch0 -p1
%patch1 -p1

%build
make mg

%install
install -o root -g root -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -o root -g root -m755 mg $RPM_BUILD_ROOT/usr/X11R6/bin/mg-16

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc MG.doc SMS.doc
/usr/X11R6/bin/mg-16
